/*
 * RHQ Management Platform
 * Copyright (C) 2005-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation, and/or the GNU Lesser
 * General Public License, version 2.1, also as published by the Free
 * Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License and the GNU Lesser General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * and the GNU Lesser General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
package org.rhq.plugins.iptables;

import java.util.HashSet;
import java.util.Set;

import org.rhq.core.domain.resource.ResourceType;
import org.rhq.core.pluginapi.inventory.DiscoveredResourceDetails;
import org.rhq.core.pluginapi.inventory.InvalidPluginConfigurationException;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryComponent;
import org.rhq.core.pluginapi.inventory.ResourceDiscoveryContext;
/**
 * 
 * @author Filip Drabek
 *
 */
public class IptablesTableDiscoveryComponent implements ResourceDiscoveryComponent<IptablesComponent>{

       public String [] tables = {"filter","nat","mangle"};
       
       public Set<DiscoveredResourceDetails> discoverResources(ResourceDiscoveryContext<IptablesComponent> context)
                     throws InvalidPluginConfigurationException, Exception {
              
              ResourceType resourceType = context.getResourceType();
              Set<DiscoveredResourceDetails> resources = new HashSet<DiscoveredResourceDetails>();
              
              for (String tableName : tables)
              {
              resources.add(new DiscoveredResourceDetails(resourceType,
                  tableName, tableName, "", "Table",
                  null, null));
              }
              
              return resources;
       }

}
